Package org.drinkless.tdlib

# Class TdApi.LocalFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LocalFile

Enclosing class:
  `TdApi`

public static class TdApi.LocalFile extends TdApi.Object
Represents a local file.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeDeleted`
  True, if the file can be deleted.
  `boolean`
  `canBeDownloaded`
  True, if it is possible to download or generate the file.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `downloadedPrefixSize`
  If isDownloadingCompleted is false, then only some prefix of the file starting from downloadOffset is ready to be read.
  `long`
  `downloadedSize`
  Total downloaded file size, in bytes.
  `long`
  `downloadOffset`
  Download will be started from this offset.
  `boolean`
  `isDownloadingActive`
  True, if the file is currently being downloaded (or a local copy is being generated by some other means).
  `boolean`
  `isDownloadingCompleted`
  True, if the local copy is fully available.
  `String`
  `path`
  Local path to the locally available file part; may be empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalFile()`
  Represents a local file.
  `LocalFile(String path, boolean canBeDownloaded, boolean canBeDeleted, boolean isDownloadingActive, boolean isDownloadingCompleted, long downloadOffset, long downloadedPrefixSize, long downloadedSize)`
  Represents a local file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### path

    public String path
    Local path to the locally available file part; may be empty.

  - ### canBeDownloaded

    public boolean canBeDownloaded
    True, if it is possible to download or generate the file.

  - ### canBeDeleted

    public boolean canBeDeleted
    True, if the file can be deleted.

  - ### isDownloadingActive

    public boolean isDownloadingActive
    True, if the file is currently being downloaded (or a local copy is being generated by some other means).

  - ### isDownloadingCompleted

    public boolean isDownloadingCompleted
    True, if the local copy is fully available.

  - ### downloadOffset

    public long downloadOffset
    Download will be started from this offset. downloadedPrefixSize is calculated from this offset.

  - ### downloadedPrefixSize

    public long downloadedPrefixSize
    If isDownloadingCompleted is false, then only some prefix of the file starting from downloadOffset is ready to be read. downloadedPrefixSize is the size of that prefix in bytes.

  - ### downloadedSize

    public long downloadedSize
    Total downloaded file size, in bytes. Can be used only for calculating download progress. The actual file size may be bigger, and some parts of it may contain garbage.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LocalFile

    public LocalFile()
    Represents a local file.

  - ### LocalFile

    public LocalFile(String path, boolean canBeDownloaded, boolean canBeDeleted, boolean isDownloadingActive, boolean isDownloadingCompleted, long downloadOffset, long downloadedPrefixSize, long downloadedSize)
    Represents a local file.
    Parameters:
      `path` - Local path to the locally available file part; may be empty.
      `canBeDownloaded` - True, if it is possible to download or generate the file.
      `canBeDeleted` - True, if the file can be deleted.
      `isDownloadingActive` - True, if the file is currently being downloaded (or a local copy is being generated by some other means).
      `isDownloadingCompleted` - True, if the local copy is fully available.
      `downloadOffset` - Download will be started from this offset. downloadedPrefixSize is calculated from this offset.
      `downloadedPrefixSize` - If isDownloadingCompleted is false, then only some prefix of the file starting from downloadOffset is ready to be read. downloadedPrefixSize is the size of that prefix in bytes.
      `downloadedSize` - Total downloaded file size, in bytes. Can be used only for calculating download progress. The actual file size may be bigger, and some parts of it may contain garbage.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR